{% extends "layout.html" %}
{% block body %}
<meta name="google-signin-client_id" content="116158539851-k7gvs7507tp7a69q03nc4k66hnpifnq4.apps.googleusercontent.com">
<script src="https://apis.google.com/js/platform.js" async defer></script>
<script>
function onSignIn(googleUser) {
    var profile = googleUser.getBasicProfile();
    var id_token = googleUser.getAuthResponse().id_token;
    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'http://localhost:5000/google');
    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    xhr.send('idtoken=' + id_token + '&email='+ profile.getEmail());
    xhr.onload = function() {
        if(xhr.status == 200){
            location.reload();
        }
};

}

</script>
<div class="container">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <center><b><span style="font-size:25px; color:#337ab7;">Voting System</span></b></center><br/><br/>
            </div>
        </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <form method=POST action="{{ url_for('login') }}">
                <div class="form-group">
                    <label for="exampleInputEmail1">Username</label>
                    <input type="text" class="form-control" name="username" placeholder="Username">
                </div>
                
                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" class="form-control" name="pass" placeholder="Password">
                </div>
                <button type="submit" class="btn btn-primary btn-block">Log In</button>
            </form>
            <br>
            <center>
            <div>
                Don't have an account? <a href="{{ url_for('register') }}">Sign up here</a>.
            </div>
        </center>
        <br>
            <center><div class="g-signin2" data-onsuccess="onSignIn" ></div></center>
        </div>
    </div>
</div>
{% endblock %}